/**************************************************************************/
/* GEA09 ( ユーザーアクセス画面管理テーブル )                             */
/*                                                                        */
/* Created : 2011/08/05 08:07:19                                          */
/**************************************************************************/
CREATE TABLE GEA09 (
   SYSTEM_ID   VARCHAR(10)                  NOT NULL                  /* 10  システムID       */
 , USERID      VARCHAR(10)                  NOT NULL                  /* 20  ユーザーID       */
 , GUIKEY      VARCHAR(30)                  NOT NULL                  /* 30  画面ID           */
 , SEQNO       NUMERIC(7)       DEFAULT 0   NOT NULL                  /* 40  表示順           */
 , NAME_JA     VARCHAR(200)                                           /* 50  名称             */
 , LAST_ACCESS VARCHAR(14)                                            /* 60  最終アクセス時間 */
 , FGFAVORITE  VARCHAR(1)                                             /* 70  お気に入り       */
 , CLASSIFY    VARCHAR(120)                                           /* 80  分類             */
 , NEXTGUI     VARCHAR(1000)                                          /* 90  次画面リスト     */
 , UNIQ        BIGINT                       NOT NULL PRIMARY KEY      /* 100 ユニークキー     */
 , FGJ         VARCHAR(1)       DEFAULT '1' NOT NULL                  /* 110 状態フラグ       */
 , DYSET       VARCHAR(14)                                            /* 120 登録日時         */
 , PGSET       VARCHAR(10)                                            /* 130 作成PG           */
 , PGPSET      VARCHAR(10)                                            /* 140 作成親PG         */
 , USRSET      VARCHAR(10)                                            /* 150 作成社員         */
 , DYUPD       VARCHAR(14)                                            /* 160 更新日時         */
 , PGUPD       VARCHAR(10)                                            /* 170 更新PG           */
 , PGPUPD      VARCHAR(10)                                            /* 180 更新親PG         */
 , USRUPD      VARCHAR(10)                                            /* 190 更新者           */
);

CREATE SEQUENCE GEA09S00 ;


CREATE TRIGGER GEA09T00 FOR GEA09
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GEA09S00,1 );
  END; 


